## LassoSamlp2IDPList LassoSamlp2IDPList — <samlp2:IDPList> |

## Functions

LassoNode * | lasso_samlp2_idp_list_new ()

## Types and Values

struct | LassoSamlp2IDPList

## Description

Figure 76. Schema fragment for samlp2:IDPList

    <complexType name="IDPListType">
      <sequence>
        <element ref="samlp:IDPEntry" maxOccurs="unbounded"/>
        <element ref="samlp:GetComplete" minOccurs="0"/>
      </sequence>
    </complexType>

## Functions

### lasso_samlp2_idp_list_new ()

    LassoNode *
    lasso_samlp2_idp_list_new (void);

Creates a new LassoSamlp2IDPList object.

#### Returns

a newly created LassoSamlp2IDPList object

## Types and Values

### struct LassoSamlp2IDPList

    struct LassoSamlp2IDPList {
    	LassoNode parent;

    	/* elements */
    	GList *IDPEntry; /* of LassoSamlp2IDPEntry */
    	char *GetComplete;
    };